openapi: 3.0.0
info:
  title: RCS BETA
  description: >-
    Rich Communication Services (RCS) is an advanced messaging protocol that
    enhances traditional SMS through business branding, verified senders and
    read receipt.


    <h3>How does RCS help my business?</h3>


    - **Build instant trust**: Your verified sender and brand logo reassure
    customers that messages are legitimate.

    - **Better engagement**: Read receipts let you see who opens your messages,
    so you know what's working and what isn't.

    - **Seamless experience**: No code changes needed. Messages are sent through
    the usual [`send sms`](/messaging/sms/other/send-sms) and [`send sms
    campaign`](/messaging/sms-campaigns/other/send-sms-campaign) endpoints.

    - **Premium support**: Because it's BETA, you get hands-on guidance from
    sales and support.


    <h3>How do I get started?</h3>


    RCS is currently in BETA, so your first step is to [chat with our friendly
    sales team](mailto:sales@clicksend.com). They'll review your company info to
    see if you're eligible, since RCS is heavily restricted by country, carrier,
    handset, and use case. We want to make sure you qualify before sending any
    paperwork.



    <h3>What do I do once I have an RCS Sender?</h3>


    Use it just like your normal SMS workflow, through the existing [send
    SMS](/messaging/sms/other/send-sms) and [send SMS
    campaign](/messaging/sms-campaigns/other/send-sms-campaign) endpoints. No
    code changes are needed.


    <h3>Anything else to know?</h3>


    Once you opt into RCS, messages will automatically send as RCS where
    possible. If a customer can't receive RCS due to restrictions, messages will
    fallback to SMS. You won't be able to choose a custom Sender ID as the
    message will use either your RCS sender or the specific fallback number.
servers:
  - url: https://rest.clicksend.com
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
paths: {}
